Devuan bug report logs - #14
zfs: missing sysvinit scripts

Package: zfs; Maintainer for zfs is (unknown);

Reported by: katolaz <katolaz@freaknet.org>

Date: Thu, 23 Mar 2017 15:18:22 UTC

Severity: critical

Tags: ascii

Done: Chris Dos <chris@chrisdos.com>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to owner@bugs.devuan.org@, KatolaZ <katolaz@freaknet.org>:
bug#14; Package zfs. (full text, mbox, link).


Acknowledgement sent to katolaz <katolaz@freaknet.org>:
New bug report received and forwarded. Copy sent to KatolaZ <katolaz@freaknet.org>. (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: katolaz <katolaz@freaknet.org>
To: Debian Bug Tracking System <submit@bugs.devuan.org>
Subject: zfs: missing sysvinit scripts
Package: zfs
Severity: critical

zfs is missing proper sysvinit configuration scripts


Severity set to `critical'. Request was from katolaz <katolaz@freaknet.org> to control@bugs.devuan.org. (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, KatolaZ <katolaz@freaknet.org>:
bug#14; Package zfs. (full text, mbox, link).


Acknowledgement sent to Chris Dos <chris@chrisdos.com>:
Extra info received and forwarded to list. Copy sent to KatolaZ <katolaz@freaknet.org>. (full text, mbox, link).


Message #12 received at 14@bugs.devuan.org (full text, mbox, reply):

From: Chris Dos <chris@chrisdos.com>
To: 14@bugs.devuan.org
Subject: ZFS Init Scripts Available Patch
Date: Sun, 14 May 2017 14:29:56 -0600
There is a working patch in Debian bug report that could be used for the init scripts.:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=826994

The Debian maintainer seems to be ignoring it.

    Chris



Information forwarded to devuan-bugs@lists.dyne.org:
bug#14; Package zfs. (full text, mbox, link).


Acknowledgement sent to KatolaZ <katolaz@freaknet.org>:
Extra info received and forwarded to list. (full text, mbox, link).


Message #17 received at 14@bugs.devuan.org (full text, mbox, reply):

From: KatolaZ <katolaz@freaknet.org>
To: 14@bugs.devuan.org
Subject: follow-up
Date: Thu, 18 May 2017 11:18:44 +0100
Hi Chris,

thank you for your report. I have been following the corresponding bug
report in Debian (#826996) to which you have actively contributed. If
they don't decide to put those scripts back soon, we will. But we need
people to test them, so please be ready to help with that ;)


Information forwarded to devuan-bugs@lists.dyne.org, KatolaZ <katolaz@freaknet.org>:
bug#14; Package zfs. (full text, mbox, link).


Acknowledgement sent to Chris Dos <chris@chrisdos.com>:
Extra info received and forwarded to list. Copy sent to KatolaZ <katolaz@freaknet.org>. (full text, mbox, link).


Message #22 received at 14@bugs.devuan.org (full text, mbox, reply):

From: Chris Dos <chris@chrisdos.com>
To: 14@bugs.devuan.org
Subject: Testing
Date: Tue, 30 May 2017 05:13:01 -0600
I've been testing the patch for awhile now in four different systems and it's been working great for me.

There is also a patch against grub for ZFS that also seems to be ignored:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=848945


Information forwarded to devuan-bugs@lists.dyne.org:
bug#14; Package zfs. (full text, mbox, link).


Acknowledgement sent to KatolaZ <katolaz@freaknet.org>:
Extra info received and forwarded to list. (full text, mbox, link).


Message #27 received at 14@bugs.devuan.org (full text, mbox, reply):

From: KatolaZ <katolaz@freaknet.org>
To: 14@bugs.devuan.org
Subject: solved?
Date: Mon, 18 Dec 2017 01:56:45 +0000
[Message part 1 (text/plain, inline)]
Hi there,

I have built the zfs packages for ascii-proposed. They should be
available from pkgmaster.devuan.org soon. Please test them and report
any problem. I will migrate it to ascii as soon as we know that
everything is all right.

I am also backporting the same version (0.6.5.9-5+devuan1.1) to
jessie. It should be available in jessie-backports soon.

If everithing goes fine with this version, I will probably backport
version 0.7.3 to ascii as well.

HH
[signature.asc (application/pgp-signature, inline)]

Tags added: ascii Request was from OmegaPhil <OmegaPhil@startmail.com> to control@bugs.devuan.org. (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, KatolaZ <katolaz@freaknet.org>:
bug#14; Package zfs. (full text, mbox, link).


Acknowledgement sent to Chris Dos <chris@chrisdos.com>:
Extra info received and forwarded to list. Copy sent to KatolaZ <katolaz@freaknet.org>. (full text, mbox, link).


Message #34 received at 14@bugs.devuan.org (full text, mbox, reply):

From: Chris Dos <chris@chrisdos.com>
To: 14@bugs.devuan.org
Subject: Patch for ZFS 0.7.6-1
Date: Sun, 4 Mar 2018 11:19:45 -0700
[Message part 1 (text/plain, inline)]
I've attached a patch that patches against Debian's 0.7.6-1 package.
[sysvinit_patch_3_826994.diff (text/x-patch, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, KatolaZ <katolaz@freaknet.org>:
bug#14; Package zfs. (full text, mbox, link).


Acknowledgement sent to Chris Dos <chris@chrisdos.com>:
Extra info received and forwarded to list. Copy sent to KatolaZ <katolaz@freaknet.org>. (full text, mbox, link).


Message #39 received at 14@bugs.devuan.org (full text, mbox, reply):

From: Chris Dos <chris@chrisdos.com>
To: 14@bugs.devuan.org
Subject: Updated Patches and Debian LSB_Release Check
Date: Sun, 3 Jun 2018 08:24:13 -0600
[Message part 1 (text/plain, inline)]
Debian has added a specific lsb_release check to make sure the packages are
running on Debian in the zfs-dkms package when it tries to compile against the
kernel source.

See: https://bugs.debian.org/900089

So the zfs-dkms Debian package will refuse to work on Devuan now.

And it has been few days shy of two years and Debian still won't commit the
sysvinit patch.  :(
https://bugs.debian.org/826994

I've attached patches to remove the lsb_release and install the sysvinit
patches against zfs-0.7.9-3:

	Chris
[remove_lsb_release_dependency_900089.patch (text/x-patch, attachment)]
[sysvinit_patch_5_826994_0.7.9-3.diff (text/x-patch, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, KatolaZ <katolaz@freaknet.org>:
bug#14; Package zfs. (full text, mbox, link).


Acknowledgement sent to Chris Dos <chris@chrisdos.com>:
Extra info received and forwarded to list. Copy sent to KatolaZ <katolaz@freaknet.org>. (full text, mbox, link).


Message #44 received at 14@bugs.devuan.org (full text, mbox, reply):

From: Chris Dos <chris@chrisdos.com>
To: 14@bugs.devuan.org
Subject: Updated for 0.7.11-1
Date: Tue, 25 Sep 2018 14:10:18 -0600
[Message part 1 (text/plain, inline)]
I've updated the patches for zfs 0.7.11-1.  I changed the patch for the
lsb_release to just add Devuan to a list of choices.
[add_devuan_compatibility_900089.patch (text/x-patch, attachment)]
[sysvinit_patch_6_826994_0.7.11-1.diff (text/x-patch, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, KatolaZ <katolaz@freaknet.org>:
bug#14; Package zfs. (full text, mbox, link).


Acknowledgement sent to Chris Dos <chris@chrisdos.com>:
Extra info received and forwarded to list. Copy sent to KatolaZ <katolaz@freaknet.org>. (full text, mbox, link).


Message #49 received at 14@bugs.devuan.org (full text, mbox, reply):

From: Chris Dos <chris@chrisdos.com>
To: 14@bugs.devuan.org
Subject: Fixed Patch
Date: Tue, 9 Oct 2018 11:37:50 -0600
[Message part 1 (text/plain, inline)]
I must have missed adding some information for the init scripts in the last
patch.  This attached patch should have everything.
[sysvinit_patch_7_826994_0.7.11-1.diff (text/x-patch, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, KatolaZ <katolaz@freaknet.org>:
bug#14; Package zfs. (full text, mbox, link).


Acknowledgement sent to Chris Dos <chris@chrisdos.com>:
Extra info received and forwarded to list. Copy sent to KatolaZ <katolaz@freaknet.org>. (full text, mbox, link).


Message #54 received at 14@bugs.devuan.org (full text, mbox, reply):

From: Chris Dos <chris@chrisdos.com>
To: 14@bugs.devuan.org
Subject: Close Bug
Date: Thu, 1 Nov 2018 07:16:32 -0600
[Message part 1 (text/plain, inline)]
This was fixed in Debian upstream.

    Chris

[Message part 2 (text/html, inline)]

Reply sent to Chris Dos <chris@chrisdos.com>:
You have taken responsibility. (full text, mbox, link).


Notification sent to katolaz <katolaz@freaknet.org>:
bug acknowledged by developer. (full text, mbox, link).


Message #59 received at 14-done@bugs.devuan.org (full text, mbox, reply):

From: Chris Dos <chris@chrisdos.com>
To: 14-done@bugs.devuan.org
Subject: Close
Date: Thu, 1 Nov 2018 11:07:01 -0600
[Message part 1 (text/plain, inline)]
Fixed in Debian upstream.
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Sep 30 03:00:05 2020;